> For the complete documentation index, see [llms.txt](https://doc.youverify.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.youverify.co/api-reference/api-reference/quick-check/aml-services-anti-money-laundering/advanced-aml.md).

# Advanced AML

This endpoint performs a consolidated AML check that combines PEP screening and Adverse Media screening on a subject.

<mark style="color:green;">`POST`</mark> `{{baseurl}}/v2/api/verifications/advanced/consolidated-aml`

#### Headers

| Name                                  | Type   | Description      |
| ------------------------------------- | ------ | ---------------- |
| API<mark style="color:red;">\*</mark> | String | API secret token |

#### Request Body

| Field                                              | Type    | Description                                                                            |
| -------------------------------------------------- | ------- | -------------------------------------------------------------------------------------- |
| fullName<mark style="color:red;">\*</mark>         | String  | Full name of the subject                                                               |
| isSubjectConsent<mark style="color:red;">\*</mark> | Boolean | Indicate subject has given consent. <mark style="color:$danger;">`Must be true`</mark> |
| countryl                                           | String  | Country code of subject (e.g. "NG")                                                    |
| startDate                                          | String  | Start date for adverse media filter (ISO 8601, e.g. "2026-01-01")                      |
| endDate                                            | String  | End date for adverse media filter (ISO 8601, e.g. "2026-03-07")                        |
| entityId                                           | String  | Existing entity ID to associate this check with                                        |

{% tabs %}
{% tab title="Advanced AML Sample Request" %}

```json
{
    "fullName": "Seyi Tinubu",
    "country": "NG",
    "startDate": "2026-01-01",
    "endDate": "2026-03-07",
    "isSubjectConsent": true
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Found Response" %}

```json
{
  "success": true,
  "statusCode": 200,
  "message": "success",
  "data": {
      "status": "review_required",
      "type": "nigeria_consolidated",
      "queriedWith": "Name",
      "query": "Seyi Tinubu",
      "parentId": null,
      "isSubjectConsent": true,
      "pep": [
          {
              "name": "Seyi Tinubu",
              "is_pep": true,
              "pep_level": "Very High Risk (Level 1)",
              "organisation_or_party": "All Progressives Congress (APC)",
              "current_positions": ["CEO of Loatsad Promomedia"],
              "date_of_birth": "1985-10-13",
              "country": "NG",
              "pep_association": true
          }
      ],
      "associate": [],
      "sanctions": [],
      "crime": [],
      "adverseMedia": {
          "query": "Seyi Tinubu",
          "total": 1,
          "weighted_score": 80,
          "status": "Potential High Risk",
          "media": [
              {
                  "date": "2025-04-11",
                  "headline": "A song critical of Nigeria's president is barred from airwaves",
                  "score": 80,
                  "inferring": "Negative"
              }
          ]
      },
      "businessId": "628b38f03ae28a14f52d4bf7",
      "requestedAt": "2026-03-06T10:00:00.000Z",
      "requestedById": "628b38f13ae28a7b742d4bf9",
      "id": "66741bb72eebef89b0596acc",
      "requestedBy": {
          "firstName": "John",
          "lastName": "Doe",
          "middleName": "",
          "id": "628b38f13ae28a7b742d4bf9"
      }
  },
  "links": []
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.youverify.co/api-reference/api-reference/quick-check/aml-services-anti-money-laundering/advanced-aml.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
